# Package org.codehaus.plexus.lifecycle

Interface Summary
Interface | Description
--- | ---
LifecycleHandler |
LifecycleHandlerManager | LifecycleHandlerManager is a simple index (registry) of LifecycleHandler instances.

Class Summary
Class | Description
--- | ---
AbstractLifecycleHandler |
BasicLifecycleHandler |
DefaultLifecycleHandlerManager |

Exception Summary
Exception | Description
--- | ---
UndefinedLifecycleHandlerException |